## pgzero 1.2.post4%2Bdfsg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PGZero.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PGZero.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PGZero"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PGZero"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."


livehtml:
	sphinx-autobuild -b html -i *.swp -i *~ -i *.swx $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== debian/watch ===
version=4

opts=dversionmangle=s/\+dfsg\.\d+$//,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pgzero-$1\.tar\.gz/,\
repacksuffix=+dfsg,\
repack,compression=xz \
 https://github.com/lordmauve/pgzero/releases .*/v?(\d\S+)\.tar\.gz

## pgzero 1.2.post4+dfsg

=== debian/changelog ===
pgzero (1.2.post4+dfsg-2) unstable; urgency=medium

  * Add some further comments to debian/copyright providing context for github
    link. (Closes: 904674)
  * Drop Build-dependency on python-setuptools (Closes: 943165)
  * Clean up pgzero/__pycache__ in override_dh_auto_clean

 -- Peter Michael Green <plugwash@debian.org>  Fri, 25 Oct 2019 23:28:08 +0000

pgzero (1.2.post4+dfsg-1) unstable; urgency=medium

  * Initial upload to Debian (previous versions were in raspberry pi
    foundation repository) (Closes: 892386)
  * Set myself as maintainer.
  * Merge upstream Master, turn upstream commit after latest release into
    quilt patch ( debian/patches/add-repl-to-roadmap.patch )
  * Strip out a number of examples/images/sounds etc due to unclear licensing
    (see debian/copyright for details), this does not cause any regressions for
    users as those files are not yet included in any binary packages.
  * Remove debian/patches/setup-readme.patch, merged upstream.
  * Cleanup egg info in clean target.
  * Remove outdated X-Python3-Version.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 07 Jun 2018 20:23:43 +0100

pgzero (1.2.post1-2) stretch; urgency=medium

  * Change package architecture to 'all'
  * Bump Standards-Version to 3.9.8

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 20 Mar 2018 12:04:22 +0000

pgzero (1.2.post1-1) stretch; urgency=medium

  * New upstream release

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 01 Mar 2018 16:08:05 +0000

pgzero (1.1-1) jessie; urgency=medium

  * Upstream 1.1 release

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 04 Nov 2015 15:24:53 +0000

pgzero (1.0.2-1) jessie; urgency=low

  * Update to new upstream release

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 10 Jun 2015 17:54:47 +0100

pgzero (1.0.1-1) jessie; urgency=low

  * Initial release

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 03 Jun 2015 15:45:17 +0100

=== debian/control ===
Source: pgzero
Section: python
Priority: optional
Maintainer: Peter Michael Green <plugwash@debian.org>
Uploaders: Serge Schneider <serge@raspberrypi.org>
Build-Depends: debhelper (>= 9~), dh-python,
 python3-all, python3-setuptools
Standards-Version: 3.9.8
Homepage: https://pygame-zero.readthedocs.io/en/stable/
Vcs-Git: git://git@github.com:RPi-Distro/pgzero.git -b debian
Vcs-Browser: https://github.com/RPi-Distro/pgzero

Package: python3-pgzero
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pygame, python3-pkg-resources
Description: Zero-boilerplate games programming framework based on Pygame (Python 3)
 Pygame zero is intended for use in education, so that teachers can teach basic
 programming without needing to explain the Pygame API or write an event loop.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export PYBUILD_NAME=pgzero
export PYBUILD_DISABLE=test


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean $@
	rm -rf pgzero.egg-info
	rm -rf pgzero/__pycache__

## pgzero 1.2.post6%2Breally1.2.1%2Bdfsg

=== debian/changelog ===
pgzero (1.2.post6+really1.2.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Run tests during build.
  * Switch to autopkgtest-pkg-pybuild (closes: #1035201).
  * Remove trailing comma from Maintainer field.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Mar 2025 15:36:45 +0000

pgzero (1.2.post6+really1.2.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Maintain package in Debian Python team
    Closes: #1100001

  [ Patrice Duroux ]
  * d/rules: look at tags instead of releases

  [ наб ]
  * Mangle upstream 1.2.digit into 1.2.post6+really1.2.digit to get 1.2.1
    Closes: #1060750
  * New upstream version 1.2.post6+really1.2.1+dfsg
  * debian/patches/gitignore.patch: drop in favour of debian/clean
  * Replace pkg_resources with importlib_metadata (Closes: #1083542)
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 09 Mar 2025 15:19:13 +0100

=== debian/control ===
Source: pgzero
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Peter Michael Green <plugwash@debian.org>,
           Serge Schneider <serge@raspberrypi.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pygame <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/pgzero
Vcs-Git: https://salsa.debian.org/python-team/packages/pgzero.git
Homepage: https://pygame-zero.readthedocs.io/en/stable/
Rules-Requires-Root: no

Package: python3-pgzero
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pygame
Description: Zero-boilerplate games programming framework based on Pygame (Python 3)
 Pygame zero is intended for use in education, so that teachers can teach basic
 programming without needing to explain the Pygame API or write an event loop.

## pgzero 1.2.post6+really1.2.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,12 @@
 Source: pgzero
 Section: python
-Testsuite: autopkgtest-pkg-pybuild
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>,
 Uploaders: Peter Michael Green <plugwash@debian.org>,
            Serge Schneider <serge@raspberrypi.org>
-Build-Depends:
- debhelper-compat (= 13),
- dh-sequence-python3,
- pybuild-plugin-pyproject,
- python3-all,
- python3-pygame <!nocheck>,
- python3-pytest <!nocheck>,
- python3-setuptools,
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3,
+ python3-all, python3-setuptools
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pgzero
 Vcs-Git: https://salsa.debian.org/python-team/packages/pgzero.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export PYBUILD_NAME=pgzero
export PYBUILD_DISABLE=test


%:
	dh $@ --buildsystem=pybuild
